# Gebruikershandboek van KDE

&Lauri.Watts; &Lauri.Watts.mail;
07 juni 2005
K Desktop Environment
kate
1

# `kate`

Geavanceerde teksteditor voor &kde;

    kate -s, --start  naam  -u, --use -p, --pid pid -e, --encoding  naam -l, --line  regel -c, --column  kolom -i, --stdin KDE-generieke opties Qt-generieke opties

## Beschrijving

&kate; is de &kde; Advanced Text Editor.

&kate; levert ook het tekstinvoergedeelte voor veel andere toepassingen, waaronder &kwrite;.

Enkele van &kate;'s vele functies zijn instelbare syntaxis-accentuering voor talen variërend van C en C++ tot HTML en bash-scripts; de mogelijkheid om projecten aan te maken en te beheren, multi-document-interface (MDI) en een ingesloten terminal.

&kate; is echter meer dan een editor voor programmeurs. De mogelijkheid om meerdere bestanden tegelijkertijd te openen maakt Kate ideaal om de vele configuratiebestanden van &UNIX; aan te passen. Dit document werd geschreven in &kate;.

## Opties

`-s`, `--start` naam

  Start &kate; met een opgegeven sessie.

`-u, --use`

  Gebruikt een al draaiend &kate;-exemplaar.

`-p, --pid` pid

  Probeer alleen het kate-exemplaar met dit pid te hergebruiken.

`-e, --encoding` naam

  Codering zetten voor het te openen bestand

  U kunt dit gebruiken om bijv. een bestand te openen in utf8-codering. Het commando `iconv -l` levert een lijst met beschikbare tekensetcoderingen.

`-l, --line` regel

  Ga naar deze regel

`-c, --column` kolom

  Ga naar deze kolom

`-i, --stdin`

  Lees de inhoud van `stdin`

## Zie ook

Meer gedetailleerde documentatie is beschikbaar in help:/kate. Voer dit URL-adres in in &konqueror; of start ``khelpcenter` `help:/kate``).

Er is ook meer informatie beschikbaar op de website van &kate;.

## Voorbeelden

Om een bestand genaamd `source.cpp` te openen op kolom 15, regel 25 in een bestaand &kate;-venster kunt u dit commando gebruiken:

    kate -c 15 -l
    25 -u source.cpp

Als u met internet verbonden bent, dan kunt u gebruik maken van &kde;'s netwerktransparantie om een bestand vanaf een ftp-site te openen. Als u geen schrijftoegang hebt tot de server op afstand, dan zal het bestand worden geopend als alleen-lezen en zult u worden gevraagd om een lokale bestandsnaam om uw wijzigingen in op te slaan. Als u schrijftoegang hebt, dan zullen de wijzigingen geheel transparant worden opgeslagen op de ftp-server.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

## Auteurs

De onderhouder van &kate; is &Christoph.Cullmann; &Christoph.Cullmann.mail;. Een uitgebreide lijst van auteurs en anderen die hebben bijgedragen is te vinden in de gebruikersgids die hierboven werd genoemd.